Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.tablegenerator.TableGeneratorCallback Class Reference

Inherits SystemIDisposable.

## Public Member Functions
virtual PageBasicInfo | GetNewPageBasicInfo (int page_index, float rest_table_height, float table_width)
| A callback function to get new page basic information to be generated to a new page. More...
virtual float | GetTableTopMarginToPage (int page_index)
| A callback function to get the top margin of the table to be generated to a new page. More...
virtual void | Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object for generating table. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ GetNewPageBasicInfo()

PageBasicInfo foxit.addon.tablegenerator.TableGeneratorCallback.GetNewPageBasicInfo | ( | int | page_index,
|  | float | rest_table_height,
|  | float | table_width
| ) |  |
| inline virtual

A callback function to get new page basic information to be generated to a new page.

This callback function is only used for TableGenerator.InsertTablePagesToDocument . It will be triggered if the page width or page height is less than or equal to zero. Users must ensure that the text size is greater than zero in foxit.pdf.annots.RichTextStyle if the content of cell is text.

Parameters

  [in] | page_index | The page index. It would start from 0.
  [in] | rest_table_height | The rest table height(unit is 1/72 inch).
  [in] | table_width | The table width(unit is 1/72 inch).

Returns
  The basic page information.(The rotation is not supported currently).

## ◆ GetTableTopMarginToPage()

float foxit.addon.tablegenerator.TableGeneratorCallback.GetTableTopMarginToPage | ( | int | page_index | ) |
| inline virtual

A callback function to get the top margin of the table to be generated to a new page.

Parameters

  [in] | page_index | The page index. It would start from 0.

Returns
  The table top margin to page.

## ◆ Release()

void foxit.addon.tablegenerator.TableGeneratorCallback.Release | ( |  | ) |
| inline virtual

A callback function used to release current callback object itself.

Returns
  None.